OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures
refresh.h File Reference

Definition of link refreshing utility. More...

`#include "../cargo_type.h"`
`#include "../vehicle_base.h"`
`#include <list>`
`#include <map>`
`#include <set>`

Go to the source code of this file.

## Data Structures
class | LinkRefresher
| Utility to refresh links a consist will visit. More...
struct | LinkRefresher::RefitDesc
| Simulated cargo type and capacity for prediction of future links. More...
struct | LinkRefresher::Hop
| A hop the refresh algorithm might evaluate. More...

## Detailed Description

Definition of link refreshing utility.

Declaration of link refreshing utility.

Definition in file refresh.h.